Bug 170868 - gnome-keyring-manager starts with an error dialog
gnome-keyring-manager starts with an error dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-keyring-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: Yellowpad
  Show dependency treegraph
 
Reported: 2005-10-14 16:10 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 14:10:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-10-14 16:10:19 EDT
Which says "No such keyring".

a) It should give a hint which keyring it was trying to open. (From the 
  window title "default Keyring" one can guess that it tries to open
  the keyring named "default").
b) If you turn on the Keyrings panel (why is that not on by default ?)
  you see that there actually are 2 keyrings, one of which is named 
  "Default". So maybe it just tries to open the wrong keyring initially ?
Comment 1 Matthias Clasen 2005-10-19 15:37:56 EDT
Upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=317037
Comment 2 Ray Strode [halfline] 2005-10-28 16:02:54 EDT
This interface for this is rather bad.  We should probably <Exclude> it from the
menus by deafult.
Comment 3 Alexander Larsson 2005-10-31 03:44:56 EST
ray: It has been through multiple UI reviews...

Without it there is really no way to manage your keyrings though.
Comment 4 Matthias Clasen 2005-10-31 08:35:57 EST
Lets just list the major UI problems:

- error dialog at startup 
- list of keyrings not visible at startup
- Lock on idle checkbox inoperable
- Lock timeout fixed at 0
- The key tab is just empty when no key is selected
- The applications tab displays a cryptic /path/to/application 
  when no key is selected
- When a key is selected, it displays the path of the binary,
  which is not much better
- What does Read/Write/Delete mean there ?
- The "More Options" tab shows information that nobody can understand
  without documentation. Unfortunately, there is no documentation...
- The type column in the key list is not explained any further. What do 
  the icons mean ?
- "Delete key" should be a context menu item on the key list
- The key/application tabs display stale information when I switch to a    
  different keyring
- Doesn't monitor keyrings, and no refresh menuitem
- If I initially deny it to see a key, the key gets shown with an empty
  name in the list, and the name is not updated, if I later unlock the key
- "Unlock" should be in the context menu of locked keys
Comment 5 Matthias Clasen 2005-11-02 14:10:55 EST
The long list has been filed upstream, the original issue in this bug has been
fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.